sysutils/py-notify - The NetBSD Packages Collection

Python package providing tool for observer programming pattern

Py-notify is a Python package providing tools for implementing `Observer
programming pattern`.  These tools include signals, conditions and variables.

Signals are lists of handlers that are called when signal is emitted. Conditions
are basically boolean variables coupled with a signal that is emitted when
condition state changes. They can be combined using standard logical operators
(*not*, *and*, etc.) into compound conditions. Variables, unlike conditions, can
hold any Python object, not just booleans, but they cannot be combined.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-notify-0.3.1.tgz
NetBSD 8.0earmv7hfpy27-notify-0.3.1.tgz
NetBSD 8.0earmv7hfpy27-notify-0.3.1.tgz
NetBSD 8.0i386py27-notify-0.3.1.tgz
NetBSD 8.0i386py27-notify-0.3.1.tgz
NetBSD 8.0powerpcpy27-notify-0.3.1.tgz
NetBSD 8.0powerpcpy27-notify-0.3.1.tgz
NetBSD 8.0powerpcpy27-notify-0.3.1.tgz
NetBSD 8.0powerpcpy27-notify-0.3.1.tgz
NetBSD 8.0x86_64py27-notify-0.3.1.tgz
NetBSD 8.0x86_64py27-notify-0.3.1.tgz
NetBSD 9.0aarch64py27-notify-0.3.1.tgz
NetBSD 9.0aarch64py27-notify-0.3.1.tgz
NetBSD 9.0aarch64py27-notify-0.3.1.tgz
NetBSD 9.0alphapy27-notify-0.3.1.tgz
NetBSD 9.0alphapy27-notify-0.3.1.tgz
NetBSD 9.0alphapy27-notify-0.3.1.tgz
NetBSD 9.0earmv6hfpy27-notify-0.3.1.tgz
NetBSD 9.0earmv6hfpy27-notify-0.3.1.tgz
NetBSD 9.0earmv6hfpy27-notify-0.3.1.tgz
NetBSD 9.0earmv7hfpy27-notify-0.3.1.tgz
NetBSD 9.0earmv7hfpy27-notify-0.3.1.tgz
NetBSD 9.0earmv7hfpy27-notify-0.3.1.tgz
NetBSD 9.0earmv7hfpy27-notify-0.3.1.tgz
NetBSD 9.0i386py27-notify-0.3.1.tgz
NetBSD 9.0i386py27-notify-0.3.1.tgz
NetBSD 9.0i386py27-notify-0.3.1.tgz
NetBSD 9.0mips64ebpy27-notify-0.3.1.tgz
NetBSD 9.0mips64ebpy27-notify-0.3.1.tgz
NetBSD 9.0mips64ebpy27-notify-0.3.1.tgz
NetBSD 9.0mips64ebpy27-notify-0.3.1.tgz
NetBSD 9.0mips64ebpy27-notify-0.3.1.tgz
NetBSD 9.0powerpcpy27-notify-0.3.1.tgz
NetBSD 9.0powerpcpy27-notify-0.3.1.tgz
NetBSD 9.0powerpcpy27-notify-0.3.1.tgz
NetBSD 9.0powerpcpy27-notify-0.3.1.tgz
NetBSD 9.0sparc64py27-notify-0.3.1.tgz
NetBSD 9.0sparc64py27-notify-0.3.1.tgz
NetBSD 9.0sparc64py27-notify-0.3.1.tgz
NetBSD 9.0sparcpy27-notify-0.3.1.tgz
NetBSD 9.0sparcpy27-notify-0.3.1.tgz
NetBSD 9.0sparcpy27-notify-0.3.1.tgz
NetBSD 9.0sparcpy27-notify-0.3.1.tgz
NetBSD 9.0x86_64py27-notify-0.3.1.tgz
NetBSD 9.0x86_64py27-notify-0.3.1.tgz
NetBSD 9.0x86_64py27-notify-0.3.1.tgz
NetBSD 9.0x86_64py27-notify-0.3.1.tgz
NetBSD 9.0x86_64py27-notify-0.3.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.